
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

#define DEVICE "/dev/memtest"
#define BUFFER_SIZE     50

int main(void)
{
	int fd, retval, i;
	char buffer[BUFFER_SIZE*80];
	unsigned long buflength = 0;


	fd = open(DEVICE, O_RDONLY);
	printf("testmemtest: open returned fd=%d.\n", fd);
	if (fd < 0)
	{
		printf("Could not open the device `%s'.\n", DEVICE);
		return -1;
	}

	retval = read(fd, buffer, BUFFER_SIZE*80);
	if (retval < 1)
		printf("Error reading information from %s.\n", DEVICE);

	for (i=0; i<retval; i++) printf("%c", buffer[i]);

	close(fd);

}
